Index: projectionDesigner/curvedScreenGenerator/main.cpp
===================================================================
--- projectionDesigner/curvedScreenGenerator/main.cpp	(revision 20)
+++ projectionDesigner/curvedScreenGenerator/main.cpp	(revision 20)
@@ -0,0 +1,10 @@
+#include <QtGui/QApplication>
+#include "screenGenerator.h"
+
+int main(int argc, char *argv[])
+{
+	QApplication a(argc, argv);
+	screenGenerator w;
+	w.show();
+	return a.exec();
+}
Index: projectionDesigner/curvedScreenGenerator/screenGenerator.cpp
===================================================================
--- projectionDesigner/curvedScreenGenerator/screenGenerator.cpp	(revision 20)
+++ projectionDesigner/curvedScreenGenerator/screenGenerator.cpp	(revision 20)
@@ -0,0 +1,79 @@
+#include "screenGenerator.h"
+
+screenGenerator::screenGenerator(QWidget *parent, Qt::WFlags flags)
+	: QMainWindow(parent, flags)
+{
+	ui.setupUi(this);
+}
+
+screenGenerator::~screenGenerator()
+{
+
+}
+
+void screenGenerator::on_pBGenerate_clicked()
+{
+	// Get filename to save
+	QString filename = QFileDialog::getSaveFileName(this, tr("Save Wavefront Object File"),
+                            QDir::currentPath(),
+                            tr("Wavefront Object (*.obj)"));
+	//Open file
+    QFile file( filename );
+	file.remove();
+    file.open(QIODevice::ReadWrite | QIODevice::Text);
+	QTextStream in(&file);
+    in << "# Screen generator v0.1 OBJ File: \n";
+	in << "# Torben Dannhauer, 09 2009 \n";
+
+	// Raster the screen and save vertices
+	double deltaVert = ui.dSB_upperEdge->value()-ui.dSB_lowerEdge->value();
+	deltaVert /= (ui.sB_horSubdivisions->value()+1);
+	double deltaHor_rad = deg2rad( ui.sB_openingAngle->value() ) / (ui.sB_vertSubdivisions->value()+1);
+
+	for(int i=0; i<=ui.sB_vertSubdivisions->value()+1; i++) // vertical
+	{
+		for (int j=0; j<=ui.sB_horSubdivisions->value()+1; j++)	// horizontal
+		{
+			// calc current angle
+			double currentAngle_rad = j*deltaHor_rad - deg2rad( ui.sB_openingAngle->value() / 2.0 );
+
+			double side = 0 - sin(currentAngle_rad)*ui.dSB_radius->value();
+			double up = ui.dSB_lowerEdge->value()+i*deltaVert;
+			double depth = 0 - cos(currentAngle_rad)*ui.dSB_radius->value();
+
+			// write vertex line
+			QString data = QString("v ")+QString::number(side, 'f', 6)+" "+QString::number(up, 'f', 6)+" "+QString::number(depth, 'f', 6)+" \n";
+			in << data; 
+		}
+	}
+
+	// calculate polygon vertex order
+	for( int row=0; row<ui.sB_vertSubdivisions->value()+1; row++)
+	{
+		for ( int col=0; col<ui.sB_horSubdivisions->value()+1; col++)
+		{
+			// write polygon vertex line
+			int x = row*(ui.sB_horSubdivisions->value()+2)+col+1;
+			in << "f "+QString::number(x)+" "+QString::number(x+ui.sB_horSubdivisions->value()+2)+" "+QString::number(x+1)+"\n";
+			in << "f "+QString::number(x+1)+" "+QString::number(x+ui.sB_horSubdivisions->value()+2)+" "+QString::number(x+ui.sB_horSubdivisions->value()+3)+"\n";
+		}
+	}
+
+	// close file
+    file.close();
+
+	
+
+
+
+}
+
+void screenGenerator::on_actionAbout_Qt_triggered()
+{
+	QMessageBox::aboutQt(this);
+}
+
+void screenGenerator::on_actionAbout_screenGenerator_triggered()
+{
+	QMessageBox::about( this, "screenGenerator V 0.1", "This software generates cylindrical curved screens to be used in the 'Projection Designer' software. The output format is wavefront object. The geometry and size can be specified." );
+}
Index: projectionDesigner/curvedScreenGenerator/screenGenerator.h
===================================================================
--- projectionDesigner/curvedScreenGenerator/screenGenerator.h	(revision 20)
+++ projectionDesigner/curvedScreenGenerator/screenGenerator.h	(revision 20)
@@ -0,0 +1,30 @@
+#ifndef SCREENGENERATOR_H
+#define SCREENGENERATOR_H
+
+#include <math.h>
+#include <QtGui>
+#include <QtGui/QMainWindow>
+#include "ui_screenGenerator.h"
+
+class screenGenerator : public QMainWindow
+{
+	Q_OBJECT
+
+public:
+	screenGenerator(QWidget *parent = 0, Qt::WFlags flags = 0);
+	~screenGenerator();
+
+private:
+	Ui::screenGeneratorClass ui;
+
+	double rad2deg( double deg) {return deg*180.0/3.14159265358979323846;};
+	double deg2rad( double rad) {return rad*3.14159265358979323846/180.0;};
+
+
+private slots:
+	void on_actionAbout_screenGenerator_triggered();
+	void on_actionAbout_Qt_triggered();
+	void on_pBGenerate_clicked();
+};
+
+#endif // SCREENGENERATOR_H
Index: projectionDesigner/curvedScreenGenerator/screenGenerator.qrc
===================================================================
--- projectionDesigner/curvedScreenGenerator/screenGenerator.qrc	(revision 20)
+++ projectionDesigner/curvedScreenGenerator/screenGenerator.qrc	(revision 20)
@@ -0,0 +1,8 @@
+<RCC>
+    <qresource prefix="/screenGenerator" >
+        <file>Resources/aboutQt.png</file>
+        <file>Resources/aboutScreenGenerator.png</file>
+        <file>Resources/exit.png</file>
+        <file>Resources/screenGenerator.png</file>
+    </qresource>
+</RCC>
Index: projectionDesigner/curvedScreenGenerator/screenGenerator.sln
===================================================================
--- projectionDesigner/curvedScreenGenerator/screenGenerator.sln	(revision 20)
+++ projectionDesigner/curvedScreenGenerator/screenGenerator.sln	(revision 20)
@@ -0,0 +1,23 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 9.00
+# Visual Studio 2005
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "screenGenerator", "screenGenerator.vcproj", "{4D289907-4DB3-47E6-8391-B4D10ECBA344}"
+	GlobalSection(Qt) = preSolution
+		Integration = True
+	EndGlobalSection
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Win32 = Debug|Win32
+		Release|Win32 = Release|Win32
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{4D289907-4DB3-47E6-8391-B4D10ECBA344}.Debug|Win32.ActiveCfg = Debug|Win32
+		{4D289907-4DB3-47E6-8391-B4D10ECBA344}.Debug|Win32.Build.0 = Debug|Win32
+		{4D289907-4DB3-47E6-8391-B4D10ECBA344}.Release|Win32.ActiveCfg = Release|Win32
+		{4D289907-4DB3-47E6-8391-B4D10ECBA344}.Release|Win32.Build.0 = Release|Win32
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
Index: projectionDesigner/curvedScreenGenerator/screenGenerator.ui
===================================================================
--- projectionDesigner/curvedScreenGenerator/screenGenerator.ui	(revision 20)
+++ projectionDesigner/curvedScreenGenerator/screenGenerator.ui	(revision 20)
@@ -0,0 +1,230 @@
+<ui version="4.0" >
+ <class>screenGeneratorClass</class>
+ <widget class="QMainWindow" name="screenGeneratorClass" >
+  <property name="geometry" >
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>281</width>
+    <height>321</height>
+   </rect>
+  </property>
+  <property name="windowTitle" >
+   <string>screenGenerator</string>
+  </property>
+  <property name="windowIcon" >
+   <iconset resource="screenGenerator.qrc" >
+    <normaloff>:/screenGenerator/Resources/screenGenerator.png</normaloff>:/screenGenerator/Resources/screenGenerator.png</iconset>
+  </property>
+  <widget class="QWidget" name="centralWidget" >
+   <layout class="QGridLayout" name="gridLayout" >
+    <item row="0" column="0" colspan="2" >
+     <widget class="QLabel" name="label" >
+      <property name="text" >
+       <string>Lower screen edge above ground:</string>
+      </property>
+     </widget>
+    </item>
+    <item row="0" column="2" >
+     <widget class="QDoubleSpinBox" name="dSB_lowerEdge" >
+      <property name="suffix" >
+       <string> m</string>
+      </property>
+     </widget>
+    </item>
+    <item row="1" column="0" colspan="2" >
+     <widget class="QLabel" name="label_2" >
+      <property name="text" >
+       <string>Upper screen edge above ground:</string>
+      </property>
+     </widget>
+    </item>
+    <item row="1" column="2" >
+     <widget class="QDoubleSpinBox" name="dSB_upperEdge" >
+      <property name="suffix" >
+       <string> m</string>
+      </property>
+      <property name="maximum" >
+       <double>9999.000000000000000</double>
+      </property>
+      <property name="value" >
+       <double>2.700000000000000</double>
+      </property>
+     </widget>
+    </item>
+    <item row="2" column="0" >
+     <widget class="QLabel" name="label_3" >
+      <property name="text" >
+       <string>Radius:</string>
+      </property>
+     </widget>
+    </item>
+    <item row="2" column="2" >
+     <widget class="QDoubleSpinBox" name="dSB_radius" >
+      <property name="suffix" >
+       <string> m</string>
+      </property>
+      <property name="value" >
+       <double>3.250000000000000</double>
+      </property>
+     </widget>
+    </item>
+    <item row="3" column="0" >
+     <widget class="QLabel" name="label_4" >
+      <property name="text" >
+       <string>Angle in degree:</string>
+      </property>
+     </widget>
+    </item>
+    <item row="3" column="2" >
+     <widget class="QSpinBox" name="sB_openingAngle" >
+      <property name="maximum" >
+       <number>359</number>
+      </property>
+      <property name="value" >
+       <number>150</number>
+      </property>
+     </widget>
+    </item>
+    <item row="4" column="0" >
+     <widget class="QLabel" name="label_5" >
+      <property name="text" >
+       <string>Vertical subdivision:</string>
+      </property>
+     </widget>
+    </item>
+    <item row="4" column="2" >
+     <widget class="QSpinBox" name="sB_vertSubdivisions" >
+      <property name="maximum" >
+       <number>999</number>
+      </property>
+      <property name="value" >
+       <number>3</number>
+      </property>
+     </widget>
+    </item>
+    <item row="5" column="0" colspan="2" >
+     <widget class="QLabel" name="label_6" >
+      <property name="text" >
+       <string>Horizontal subdivision: </string>
+      </property>
+     </widget>
+    </item>
+    <item row="6" column="0" colspan="3" >
+     <widget class="QPushButton" name="pBGenerate" >
+      <property name="text" >
+       <string>Generate screen model</string>
+      </property>
+     </widget>
+    </item>
+    <item row="7" column="1" >
+     <spacer name="verticalSpacer" >
+      <property name="orientation" >
+       <enum>Qt::Vertical</enum>
+      </property>
+      <property name="sizeHint" stdset="0" >
+       <size>
+        <width>20</width>
+        <height>60</height>
+       </size>
+      </property>
+     </spacer>
+    </item>
+    <item row="5" column="2" >
+     <widget class="QSpinBox" name="sB_horSubdivisions" >
+      <property name="maximum" >
+       <number>999</number>
+      </property>
+      <property name="value" >
+       <number>3</number>
+      </property>
+     </widget>
+    </item>
+   </layout>
+  </widget>
+  <widget class="QMenuBar" name="menuBar" >
+   <property name="geometry" >
+    <rect>
+     <x>0</x>
+     <y>0</y>
+     <width>281</width>
+     <height>22</height>
+    </rect>
+   </property>
+   <widget class="QMenu" name="menuFile" >
+    <property name="title" >
+     <string>File</string>
+    </property>
+    <addaction name="actionQuit" />
+   </widget>
+   <widget class="QMenu" name="menu" >
+    <property name="title" >
+     <string>?</string>
+    </property>
+    <addaction name="separator" />
+    <addaction name="actionAbout_Qt" />
+    <addaction name="actionAbout_screenGenerator" />
+   </widget>
+   <addaction name="menuFile" />
+   <addaction name="menu" />
+  </widget>
+  <widget class="QToolBar" name="mainToolBar" >
+   <attribute name="toolBarArea" >
+    <enum>TopToolBarArea</enum>
+   </attribute>
+   <attribute name="toolBarBreak" >
+    <bool>false</bool>
+   </attribute>
+  </widget>
+  <widget class="QStatusBar" name="statusBar" />
+  <action name="actionQuit" >
+   <property name="icon" >
+    <iconset resource="screenGenerator.qrc" >
+     <normaloff>:/screenGenerator/Resources/exit.png</normaloff>:/screenGenerator/Resources/exit.png</iconset>
+   </property>
+   <property name="text" >
+    <string>Quit</string>
+   </property>
+  </action>
+  <action name="actionAbout_Qt" >
+   <property name="icon" >
+    <iconset resource="screenGenerator.qrc" >
+     <normaloff>:/screenGenerator/Resources/aboutQt.png</normaloff>:/screenGenerator/Resources/aboutQt.png</iconset>
+   </property>
+   <property name="text" >
+    <string>About Qt</string>
+   </property>
+  </action>
+  <action name="actionAbout_screenGenerator" >
+   <property name="icon" >
+    <iconset resource="screenGenerator.qrc" >
+     <normaloff>:/screenGenerator/Resources/screenGenerator.png</normaloff>:/screenGenerator/Resources/screenGenerator.png</iconset>
+   </property>
+   <property name="text" >
+    <string>About screenGenerator</string>
+   </property>
+  </action>
+ </widget>
+ <layoutdefault spacing="6" margin="11" />
+ <resources>
+  <include location="screenGenerator.qrc" />
+ </resources>
+ <connections>
+  <connection>
+   <sender>actionQuit</sender>
+   <signal>triggered()</signal>
+   <receiver>screenGeneratorClass</receiver>
+   <slot>close()</slot>
+   <hints>
+    <hint type="sourcelabel" >
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel" >
+     <x>140</x>
+     <y>160</y>
+    </hint>
+   </hints>
+  </connection>
+ </connections>
+</ui>
Index: projectionDesigner/curvedScreenGenerator/screenGenerator.vcproj
===================================================================
--- projectionDesigner/curvedScreenGenerator/screenGenerator.vcproj	(revision 20)
+++ projectionDesigner/curvedScreenGenerator/screenGenerator.vcproj	(revision 20)
@@ -0,0 +1,413 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8,00"
+	Name="screenGenerator"
+	ProjectGUID="{4D289907-4DB3-47E6-8391-B4D10ECBA344}"
+	Keyword="Qt4VSv1.0"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories=".\GeneratedFiles;$(QTDIR)\include;.\GeneratedFiles\$(ConfigurationName);;$(QTDIR)\include\QtCore;$(QTDIR)\include\QtGui"
+				PreprocessorDefinitions="UNICODE,WIN32,QT_THREAD_SUPPORT,QT_NO_DEBUG,NDEBUG,QT_CORE_LIB,QT_GUI_LIB"
+				RuntimeLibrary="2"
+				TreatWChar_tAsBuiltInType="false"
+				DebugInformationFormat="0"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies=" qtmain.lib QtCore4.lib QtGui4.lib"
+				OutputFile="$(OutDir)\$(ProjectName).exe"
+				AdditionalLibraryDirectories="$(QTDIR)\lib"
+				GenerateDebugInformation="false"
+				SubSystem="2"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories=".\GeneratedFiles;$(QTDIR)\include;.\GeneratedFiles\$(ConfigurationName);;$(QTDIR)\include\QtCore;$(QTDIR)\include\QtGui"
+				PreprocessorDefinitions="UNICODE,WIN32,QT_THREAD_SUPPORT,QT_CORE_LIB,QT_GUI_LIB"
+				RuntimeLibrary="3"
+				TreatWChar_tAsBuiltInType="false"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies=" qtmaind.lib QtCored4.lib QtGuid4.lib"
+				OutputFile="$(OutDir)\$(ProjectName).exe"
+				AdditionalLibraryDirectories="$(QTDIR)\lib"
+				GenerateDebugInformation="true"
+				SubSystem="2"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Dateien"
+			Filter="cpp;cxx;c;def"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath=".\main.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\screenGenerator.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Dateien"
+			Filter="h"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath=".\screenGenerator.h"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing screenGenerator.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;  -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_NO_DEBUG -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -I&quot;.\GeneratedFiles\.&quot; -I&quot;$(QTDIR)\include\.&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)\.&quot; -I&quot;.\.&quot; -I&quot;$(QTDIR)\include\QtCore\.&quot; -I&quot;$(QTDIR)\include\QtGui\.&quot; &quot;.\screenGenerator.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_screenGenerator.cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\screenGenerator.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_screenGenerator.cpp&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing screenGenerator.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;  -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_CORE_LIB -DQT_GUI_LIB -I&quot;.\GeneratedFiles\.&quot; -I&quot;$(QTDIR)\include\.&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)\.&quot; -I&quot;.\.&quot; -I&quot;$(QTDIR)\include\QtCore\.&quot; -I&quot;$(QTDIR)\include\QtGui\.&quot; &quot;.\screenGenerator.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_screenGenerator.cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\screenGenerator.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_screenGenerator.cpp&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Form Dateien"
+			Filter="ui"
+			UniqueIdentifier="{99349809-55BA-4b9d-BF79-8FDBB0286EB3}"
+			>
+			<File
+				RelativePath=".\screenGenerator.ui"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputPath)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_screenGenerator.h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_screenGenerator.h&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputPath)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_screenGenerator.h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_screenGenerator.h&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Dateien"
+			Filter="qrc;*"
+			UniqueIdentifier="{D9D6E242-F8AF-46E4-B9FD-80ECBC20BA3E}"
+			ParseFiles="false"
+			>
+			<File
+				RelativePath=".\Resources\aboutQt.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\aboutScreenGenerator.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\exit.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\screenGenerator.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\screenGenerator.qrc"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Rcc&apos;ing screenGenerator.qrc..."
+						CommandLine="&quot;$(QTDIR)\bin\rcc.exe&quot; -name &quot;screenGenerator&quot; -no-compress &quot;.\screenGenerator.qrc&quot; -o .\GeneratedFiles\qrc_screenGenerator.cpp&#x0D;&#x0A;"
+						AdditionalDependencies=".\screenGenerator.qrc;.\Resources\aboutQt.png;.\Resources\aboutScreenGenerator.png;.\Resources\exit.png;.\Resources\screenGenerator.png"
+						Outputs=".\GeneratedFiles\qrc_screenGenerator.cpp"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Rcc&apos;ing screenGenerator.qrc..."
+						CommandLine="&quot;$(QTDIR)\bin\rcc.exe&quot; -name &quot;screenGenerator&quot; -no-compress &quot;.\screenGenerator.qrc&quot; -o .\GeneratedFiles\qrc_screenGenerator.cpp&#x0D;&#x0A;"
+						AdditionalDependencies=".\screenGenerator.qrc;.\Resources\aboutQt.png;.\Resources\aboutScreenGenerator.png;.\Resources\exit.png;.\Resources\screenGenerator.png"
+						Outputs=".\GeneratedFiles\qrc_screenGenerator.cpp"
+					/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Generierte Dateien"
+			Filter="moc;h;cpp"
+			UniqueIdentifier="{71ED8ED8-ACB9-4CE9-BBE1-E00B30144E11}"
+			SourceControlFiles="false"
+			>
+			<File
+				RelativePath=".\GeneratedFiles\Release\moc_screenGenerator.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Debug\moc_screenGenerator.cpp"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\qrc_screenGenerator.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\ui_screenGenerator.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+		<Global
+			Name="MocDir"
+			Value=".\GeneratedFiles\$(ConfigurationName)"
+		/>
+		<Global
+			Name="QtVersion"
+			Value="4.5.1"
+		/>
+		<Global
+			Name="RccDir"
+			Value=".\GeneratedFiles"
+		/>
+		<Global
+			Name="UicDir"
+			Value=".\GeneratedFiles"
+		/>
+	</Globals>
+</VisualStudioProject>