Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qscreenwidget.ui
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qscreenwidget.ui	(revision 2)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/include/gui/qscreenwidget.ui	(revision 42)
@@ -1,603 +1,598 @@
-<ui version="4.0" >
- <author></author>
- <comment></comment>
- <exportmacro></exportmacro>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>QScreenWidget</class>
- <widget class="QWidget" name="QScreenWidget" >
-  <property name="geometry" >
+ <widget class="QWidget" name="QScreenWidget">
+  <property name="geometry">
    <rect>
-	<x>0</x>
-	<y>0</y>
-	<width>183</width>
-	<height>222</height>
+    <x>0</x>
+    <y>0</y>
+    <width>197</width>
+    <height>242</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Screen Settings</string>
   </property>
-  <layout class="QHBoxLayout" >
-   <property name="margin" >
-	<number>4</number>
+  <layout class="QHBoxLayout">
+   <property name="spacing">
+    <number>6</number>
    </property>
-   <property name="spacing" >
-	<number>6</number>
+   <property name="margin">
+    <number>4</number>
    </property>
    <item>
-	<layout class="QVBoxLayout" >
-	 <property name="margin" >
-	  <number>0</number>
-	 </property>
-	 <property name="spacing" >
-	  <number>6</number>
-	 </property>
-	 <item>
-	  <widget class="projection::QTransformMatrixWidget" name="transformWidget" >
-	   <property name="focusPolicy" >
-		<enum>Qt::StrongFocus</enum>
-	   </property>
-	  </widget>
-	 </item>
-	 <item>
-	  <widget class="QGroupBox" name="shapeGroup" >
-	   <property name="title" >
-		<string>Shape</string>
-	   </property>
-	   <layout class="QHBoxLayout" >
-		<property name="margin" >
-		 <number>4</number>
-		</property>
-		<property name="spacing" >
-		 <number>6</number>
-		</property>
-		<item>
-		 <layout class="QVBoxLayout" >
-		  <property name="margin" >
-		   <number>0</number>
-		  </property>
-		  <property name="spacing" >
-		   <number>6</number>
-		  </property>
-		  <item>
-		   <layout class="QHBoxLayout" >
-			<property name="margin" >
-			 <number>0</number>
-			</property>
-			<property name="spacing" >
-			 <number>6</number>
-			</property>
-			<item>
-			 <widget class="QLabel" name="typeLabel" >
-			  <property name="text" >
-			   <string>Type</string>
-			  </property>
-			 </widget>
-			</item>
-			<item>
-			 <widget class="QComboBox" name="typeComboBox" >
-			  <property name="minimumSize" >
-			   <size>
-				<width>96</width>
-				<height>0</height>
-			   </size>
-			  </property>
-			  <item>
-			   <property name="text" >
-				<string>Dome</string>
-			   </property>
-			  </item>
-			  <item>
-			   <property name="text" >
-				<string>Plane</string>
-			   </property>
-			  </item>
-			  <item>
-			   <property name="text" >
-				<string>Box</string>
-			   </property>
-			  </item>
-			 </widget>
-			</item>
-			<item>
-			 <spacer>
-			  <property name="orientation" >
-			   <enum>Qt::Horizontal</enum>
-			  </property>
-			  <property name="sizeHint" >
-			   <size>
-				<width>40</width>
-				<height>20</height>
-			   </size>
-			  </property>
-			 </spacer>
-			</item>
-		   </layout>
-		  </item>
-		  <item>
-		   <widget class="QStackedWidget" name="stackedWidget" >
-			<property name="currentIndex" >
-			 <number>0</number>
-			</property>
-			<widget class="QWidget" name="domePage" >
-			 <layout class="QHBoxLayout" >
-			  <property name="margin" >
-			   <number>4</number>
-			  </property>
-			  <property name="spacing" >
-			   <number>6</number>
-			  </property>
-			  <item>
-			   <layout class="QVBoxLayout" >
-				<property name="margin" >
-				 <number>0</number>
-				</property>
-				<property name="spacing" >
-				 <number>6</number>
-				</property>
-				<item>
-				 <layout class="QHBoxLayout" >
-				  <property name="margin" >
-				   <number>0</number>
-				  </property>
-				  <property name="spacing" >
-				   <number>6</number>
-				  </property>
-				  <item>
-				   <widget class="QLabel" name="domeRadiusLabel" >
-					<property name="text" >
-					 <string>Radius</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item>
-				   <widget class="QLineEdit" name="domeRadiusEdit" />
-				  </item>
-				 </layout>
-				</item>
-				<item>
-				 <layout class="QHBoxLayout" >
-				  <property name="margin" >
-				   <number>0</number>
-				  </property>
-				  <property name="spacing" >
-				   <number>6</number>
-				  </property>
-				  <item>
-				   <widget class="QLabel" name="domeAzimResLabel" >
-					<property name="text" >
-					 <string>Azimuth Res.</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item>
-				   <widget class="QSpinBox" name="domeAzimResSpinBox" >
-					<property name="maximum" >
-					 <number>128</number>
-					</property>
-					<property name="minimum" >
-					 <number>2</number>
-					</property>
-				   </widget>
-				  </item>
-				 </layout>
-				</item>
-				<item>
-				 <layout class="QHBoxLayout" >
-				  <property name="margin" >
-				   <number>0</number>
-				  </property>
-				  <property name="spacing" >
-				   <number>6</number>
-				  </property>
-				  <item>
-				   <widget class="QLabel" name="domeElevResLabel" >
-					<property name="text" >
-					 <string>Elevation Res.</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item>
-				   <widget class="QSpinBox" name="domeElevResSpinBox" >
-					<property name="maximum" >
-					 <number>128</number>
-					</property>
-					<property name="minimum" >
-					 <number>2</number>
-					</property>
-				   </widget>
-				  </item>
-				 </layout>
-				</item>
-				<item>
-				 <layout class="QHBoxLayout" >
-				  <property name="margin" >
-				   <number>0</number>
-				  </property>
-				  <property name="spacing" >
-				   <number>6</number>
-				  </property>
-				  <item>
-				   <widget class="QLabel" name="domeSubdivLabel" >
-					<property name="text" >
-					 <string>Subdivision</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item>
-				   <widget class="QSpinBox" name="domeSubdivSpinBox" >
-					<property name="maximum" >
-					 <number>8</number>
-					</property>
-					<property name="minimum" >
-					 <number>1</number>
-					</property>
-				   </widget>
-				  </item>
-				 </layout>
-				</item>
-				<item>
-				 <widget class="QCheckBox" name="domeFullDomeCheckBox" >
-				  <property name="text" >
-				   <string>Full dome</string>
-				  </property>
-				 </widget>
-				</item>
-				<item>
-				 <spacer>
-				  <property name="orientation" >
-				   <enum>Qt::Vertical</enum>
-				  </property>
-				  <property name="sizeHint" >
-				   <size>
-					<width>20</width>
-					<height>40</height>
-				   </size>
-				  </property>
-				 </spacer>
-				</item>
-			   </layout>
-			  </item>
-			 </layout>
-			</widget>
-			<widget class="QWidget" name="planePage" >
-			 <layout class="QHBoxLayout" >
-			  <property name="margin" >
-			   <number>4</number>
-			  </property>
-			  <property name="spacing" >
-			   <number>6</number>
-			  </property>
-			  <item>
-			   <layout class="QVBoxLayout" >
-				<property name="margin" >
-				 <number>0</number>
-				</property>
-				<property name="spacing" >
-				 <number>6</number>
-				</property>
-				<item>
-				 <layout class="QGridLayout" >
-				  <property name="margin" >
-				   <number>0</number>
-				  </property>
-				  <property name="spacing" >
-				   <number>6</number>
-				  </property>
-				  <item row="1" column="0" >
-				   <widget class="QLabel" name="planeHeightLabel" >
-					<property name="text" >
-					 <string>Height</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="0" column="2" >
-				   <widget class="QLabel" name="planeHorResLabel" >
-					<property name="text" >
-					 <string>Res.</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="0" column="3" >
-				   <widget class="QSpinBox" name="planeHorResSpinBox" >
-					<property name="maximum" >
-					 <number>128</number>
-					</property>
-					<property name="minimum" >
-					 <number>1</number>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="1" column="2" >
-				   <widget class="QLabel" name="planeVertResLabel" >
-					<property name="text" >
-					 <string>Res.</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="0" column="1" >
-				   <widget class="QLineEdit" name="planeWidthEdit" />
-				  </item>
-				  <item row="0" column="0" >
-				   <widget class="QLabel" name="planeWidthLabel" >
-					<property name="text" >
-					 <string>Width</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="1" column="1" >
-				   <widget class="QLineEdit" name="planeHeightEdit" />
-				  </item>
-				  <item row="1" column="3" >
-				   <widget class="QSpinBox" name="planeVertResSpinBox" >
-					<property name="maximum" >
-					 <number>128</number>
-					</property>
-					<property name="minimum" >
-					 <number>1</number>
-					</property>
-				   </widget>
-				  </item>
-				 </layout>
-				</item>
-				<item>
-				 <spacer>
-				  <property name="orientation" >
-				   <enum>Qt::Vertical</enum>
-				  </property>
-				  <property name="sizeHint" >
-				   <size>
-					<width>20</width>
-					<height>40</height>
-				   </size>
-				  </property>
-				 </spacer>
-				</item>
-			   </layout>
-			  </item>
-			 </layout>
-			</widget>
-			<widget class="QWidget" name="boxPage" >
-			 <layout class="QHBoxLayout" >
-			  <property name="margin" >
-			   <number>4</number>
-			  </property>
-			  <property name="spacing" >
-			   <number>6</number>
-			  </property>
-			  <item>
-			   <layout class="QVBoxLayout" >
-				<property name="margin" >
-				 <number>0</number>
-				</property>
-				<property name="spacing" >
-				 <number>6</number>
-				</property>
-				<item>
-				 <layout class="QGridLayout" >
-				  <property name="margin" >
-				   <number>0</number>
-				  </property>
-				  <property name="spacing" >
-				   <number>6</number>
-				  </property>
-				  <item row="1" column="3" >
-				   <widget class="QSpinBox" name="boxVertResSpinBox" >
-					<property name="maximum" >
-					 <number>128</number>
-					</property>
-					<property name="minimum" >
-					 <number>1</number>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="0" column="2" >
-				   <widget class="QLabel" name="boxHorResLabel" >
-					<property name="text" >
-					 <string>Res.</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="2" column="2" >
-				   <widget class="QLabel" name="boxDepthResLabel" >
-					<property name="text" >
-					 <string>Res.</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="1" column="0" >
-				   <widget class="QLabel" name="boxHeightLabel" >
-					<property name="text" >
-					 <string>Height</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="0" column="0" >
-				   <widget class="QLabel" name="boxWidthLabel" >
-					<property name="text" >
-					 <string>Width</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="0" column="1" >
-				   <widget class="QLineEdit" name="boxWidthEdit" />
-				  </item>
-				  <item row="0" column="3" >
-				   <widget class="QSpinBox" name="boxHorResSpinBox" >
-					<property name="maximum" >
-					 <number>128</number>
-					</property>
-					<property name="minimum" >
-					 <number>1</number>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="2" column="3" >
-				   <widget class="QSpinBox" name="boxDepthResSpinBox" >
-					<property name="maximum" >
-					 <number>128</number>
-					</property>
-					<property name="minimum" >
-					 <number>1</number>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="1" column="2" >
-				   <widget class="QLabel" name="boxVertResLabel" >
-					<property name="text" >
-					 <string>Res.</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="2" column="1" >
-				   <widget class="QLineEdit" name="boxDepthEdit" />
-				  </item>
-				  <item row="2" column="0" >
-				   <widget class="QLabel" name="boxDepthLabel" >
-					<property name="text" >
-					 <string>Depth</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item row="1" column="1" >
-				   <widget class="QLineEdit" name="boxHeightEdit" />
-				  </item>
-				 </layout>
-				</item>
-				<item>
-				 <spacer>
-				  <property name="orientation" >
-				   <enum>Qt::Vertical</enum>
-				  </property>
-				  <property name="sizeHint" >
-				   <size>
-					<width>20</width>
-					<height>40</height>
-				   </size>
-				  </property>
-				 </spacer>
-				</item>
-			   </layout>
-			  </item>
-			 </layout>
-			</widget>
-			<widget class="QWidget" name="modelPage" >
-			 <layout class="QHBoxLayout" >
-			  <property name="margin" >
-			   <number>4</number>
-			  </property>
-			  <property name="spacing" >
-			   <number>6</number>
-			  </property>
-			  <item>
-			   <layout class="QVBoxLayout" >
-				<property name="margin" >
-				 <number>0</number>
-				</property>
-				<property name="spacing" >
-				 <number>6</number>
-				</property>
-				<item>
-				 <layout class="QHBoxLayout" >
-				  <property name="margin" >
-				   <number>0</number>
-				  </property>
-				  <property name="spacing" >
-				   <number>6</number>
-				  </property>
-				  <item>
-				   <widget class="QLabel" name="modelFileNameLabel" >
-					<property name="text" >
-					 <string>File</string>
-					</property>
-				   </widget>
-				  </item>
-				  <item>
-				   <widget class="QLineEdit" name="modelFileNameEdit" />
-				  </item>
-				  <item>
-				   <widget class="QPushButton" name="modelBrowseButton" >
-					<property name="sizePolicy" >
-					 <sizepolicy>
-					  <hsizetype>0</hsizetype>
-					  <vsizetype>0</vsizetype>
-					  <horstretch>0</horstretch>
-					  <verstretch>0</verstretch>
-					 </sizepolicy>
-					</property>
-					<property name="maximumSize" >
-					 <size>
-					  <width>23</width>
-					  <height>16777215</height>
-					 </size>
-					</property>
-					<property name="text" >
-					 <string>...</string>
-					</property>
-				   </widget>
-				  </item>
-				 </layout>
-				</item>
-				<item>
-				 <spacer>
-				  <property name="orientation" >
-				   <enum>Qt::Vertical</enum>
-				  </property>
-				  <property name="sizeHint" >
-				   <size>
-					<width>20</width>
-					<height>40</height>
-				   </size>
-				  </property>
-				 </spacer>
-				</item>
-			   </layout>
-			  </item>
-			 </layout>
-			</widget>
-		   </widget>
-		  </item>
-		 </layout>
-		</item>
-	   </layout>
-	  </widget>
-	 </item>
-	 <item>
-	  <layout class="QHBoxLayout" >
-	   <property name="margin" >
-		<number>0</number>
-	   </property>
-	   <property name="spacing" >
-		<number>6</number>
-	   </property>
-	   <item>
-		<widget class="QCheckBox" name="frameCheckBox" >
-		 <property name="text" >
-		  <string>Wireframe</string>
-		 </property>
-		</widget>
-	   </item>
-	   <item>
-		<widget class="QLabel" name="frameLineWidthLabel" >
-		 <property name="text" >
-		  <string>Width</string>
-		 </property>
-		</widget>
-	   </item>
-	   <item>
-		<widget class="QSpinBox" name="frameLineWidthSpinBox" >
-		 <property name="maximum" >
-		  <number>4</number>
-		 </property>
-		 <property name="minimum" >
-		  <number>1</number>
-		 </property>
-		</widget>
-	   </item>
-	  </layout>
-	 </item>
-	</layout>
+    <layout class="QVBoxLayout">
+     <property name="spacing">
+      <number>6</number>
+     </property>
+     <property name="margin">
+      <number>0</number>
+     </property>
+     <item>
+      <widget class="projection::QTransformMatrixWidget" name="transformWidget" native="true">
+       <property name="focusPolicy">
+        <enum>Qt::StrongFocus</enum>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QGroupBox" name="shapeGroup">
+       <property name="title">
+        <string>Shape</string>
+       </property>
+       <layout class="QHBoxLayout">
+        <property name="spacing">
+         <number>6</number>
+        </property>
+        <property name="margin">
+         <number>4</number>
+        </property>
+        <item>
+         <layout class="QVBoxLayout">
+          <property name="spacing">
+           <number>6</number>
+          </property>
+          <property name="margin">
+           <number>0</number>
+          </property>
+          <item>
+           <layout class="QHBoxLayout">
+            <property name="spacing">
+             <number>6</number>
+            </property>
+            <property name="margin">
+             <number>0</number>
+            </property>
+            <item>
+             <widget class="QLabel" name="typeLabel">
+              <property name="text">
+               <string>Type</string>
+              </property>
+             </widget>
+            </item>
+            <item>
+             <widget class="QComboBox" name="typeComboBox">
+              <property name="minimumSize">
+               <size>
+                <width>96</width>
+                <height>0</height>
+               </size>
+              </property>
+              <item>
+               <property name="text">
+                <string>Dome</string>
+               </property>
+              </item>
+              <item>
+               <property name="text">
+                <string>Plane</string>
+               </property>
+              </item>
+              <item>
+               <property name="text">
+                <string>Box</string>
+               </property>
+              </item>
+             </widget>
+            </item>
+            <item>
+             <spacer>
+              <property name="orientation">
+               <enum>Qt::Horizontal</enum>
+              </property>
+              <property name="sizeHint" stdset="0">
+               <size>
+                <width>40</width>
+                <height>20</height>
+               </size>
+              </property>
+             </spacer>
+            </item>
+           </layout>
+          </item>
+          <item>
+           <widget class="QStackedWidget" name="stackedWidget">
+            <property name="currentIndex">
+             <number>0</number>
+            </property>
+            <widget class="QWidget" name="domePage">
+             <layout class="QHBoxLayout">
+              <property name="spacing">
+               <number>6</number>
+              </property>
+              <property name="margin">
+               <number>4</number>
+              </property>
+              <item>
+               <layout class="QVBoxLayout">
+                <property name="spacing">
+                 <number>6</number>
+                </property>
+                <property name="margin">
+                 <number>0</number>
+                </property>
+                <item>
+                 <layout class="QHBoxLayout">
+                  <property name="spacing">
+                   <number>6</number>
+                  </property>
+                  <property name="margin">
+                   <number>0</number>
+                  </property>
+                  <item>
+                   <widget class="QLabel" name="domeRadiusLabel">
+                    <property name="text">
+                     <string>Radius</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item>
+                   <widget class="QLineEdit" name="domeRadiusEdit"/>
+                  </item>
+                 </layout>
+                </item>
+                <item>
+                 <layout class="QHBoxLayout">
+                  <property name="spacing">
+                   <number>6</number>
+                  </property>
+                  <property name="margin">
+                   <number>0</number>
+                  </property>
+                  <item>
+                   <widget class="QLabel" name="domeAzimResLabel">
+                    <property name="text">
+                     <string>Azimuth Res.</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item>
+                   <widget class="QSpinBox" name="domeAzimResSpinBox">
+                    <property name="minimum">
+                     <number>2</number>
+                    </property>
+                    <property name="maximum">
+                     <number>128</number>
+                    </property>
+                   </widget>
+                  </item>
+                 </layout>
+                </item>
+                <item>
+                 <layout class="QHBoxLayout">
+                  <property name="spacing">
+                   <number>6</number>
+                  </property>
+                  <property name="margin">
+                   <number>0</number>
+                  </property>
+                  <item>
+                   <widget class="QLabel" name="domeElevResLabel">
+                    <property name="text">
+                     <string>Elevation Res.</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item>
+                   <widget class="QSpinBox" name="domeElevResSpinBox">
+                    <property name="minimum">
+                     <number>2</number>
+                    </property>
+                    <property name="maximum">
+                     <number>128</number>
+                    </property>
+                   </widget>
+                  </item>
+                 </layout>
+                </item>
+                <item>
+                 <layout class="QHBoxLayout">
+                  <property name="spacing">
+                   <number>6</number>
+                  </property>
+                  <property name="margin">
+                   <number>0</number>
+                  </property>
+                  <item>
+                   <widget class="QLabel" name="domeSubdivLabel">
+                    <property name="text">
+                     <string>Subdivision</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item>
+                   <widget class="QSpinBox" name="domeSubdivSpinBox">
+                    <property name="minimum">
+                     <number>1</number>
+                    </property>
+                    <property name="maximum">
+                     <number>8</number>
+                    </property>
+                   </widget>
+                  </item>
+                 </layout>
+                </item>
+                <item>
+                 <widget class="QCheckBox" name="domeFullDomeCheckBox">
+                  <property name="text">
+                   <string>Full dome</string>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Vertical</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>20</width>
+                    <height>40</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
+              </item>
+             </layout>
+            </widget>
+            <widget class="QWidget" name="planePage">
+             <layout class="QHBoxLayout">
+              <property name="spacing">
+               <number>6</number>
+              </property>
+              <property name="margin">
+               <number>4</number>
+              </property>
+              <item>
+               <layout class="QVBoxLayout">
+                <property name="spacing">
+                 <number>6</number>
+                </property>
+                <property name="margin">
+                 <number>0</number>
+                </property>
+                <item>
+                 <layout class="QGridLayout">
+                  <property name="margin">
+                   <number>0</number>
+                  </property>
+                  <property name="spacing">
+                   <number>6</number>
+                  </property>
+                  <item row="1" column="0">
+                   <widget class="QLabel" name="planeHeightLabel">
+                    <property name="text">
+                     <string>Height</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="0" column="2">
+                   <widget class="QLabel" name="planeHorResLabel">
+                    <property name="text">
+                     <string>Res.</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="0" column="3">
+                   <widget class="QSpinBox" name="planeHorResSpinBox">
+                    <property name="minimum">
+                     <number>1</number>
+                    </property>
+                    <property name="maximum">
+                     <number>128</number>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="1" column="2">
+                   <widget class="QLabel" name="planeVertResLabel">
+                    <property name="text">
+                     <string>Res.</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="0" column="1">
+                   <widget class="QLineEdit" name="planeWidthEdit"/>
+                  </item>
+                  <item row="0" column="0">
+                   <widget class="QLabel" name="planeWidthLabel">
+                    <property name="text">
+                     <string>Width</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="1" column="1">
+                   <widget class="QLineEdit" name="planeHeightEdit"/>
+                  </item>
+                  <item row="1" column="3">
+                   <widget class="QSpinBox" name="planeVertResSpinBox">
+                    <property name="minimum">
+                     <number>1</number>
+                    </property>
+                    <property name="maximum">
+                     <number>128</number>
+                    </property>
+                   </widget>
+                  </item>
+                 </layout>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Vertical</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>20</width>
+                    <height>40</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
+              </item>
+             </layout>
+            </widget>
+            <widget class="QWidget" name="boxPage">
+             <layout class="QHBoxLayout">
+              <property name="spacing">
+               <number>6</number>
+              </property>
+              <property name="margin">
+               <number>4</number>
+              </property>
+              <item>
+               <layout class="QVBoxLayout">
+                <property name="spacing">
+                 <number>6</number>
+                </property>
+                <property name="margin">
+                 <number>0</number>
+                </property>
+                <item>
+                 <layout class="QGridLayout">
+                  <property name="margin">
+                   <number>0</number>
+                  </property>
+                  <property name="spacing">
+                   <number>6</number>
+                  </property>
+                  <item row="1" column="3">
+                   <widget class="QSpinBox" name="boxVertResSpinBox">
+                    <property name="minimum">
+                     <number>1</number>
+                    </property>
+                    <property name="maximum">
+                     <number>128</number>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="0" column="2">
+                   <widget class="QLabel" name="boxHorResLabel">
+                    <property name="text">
+                     <string>Res.</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="2" column="2">
+                   <widget class="QLabel" name="boxDepthResLabel">
+                    <property name="text">
+                     <string>Res.</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="1" column="0">
+                   <widget class="QLabel" name="boxHeightLabel">
+                    <property name="text">
+                     <string>Height</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="0" column="0">
+                   <widget class="QLabel" name="boxWidthLabel">
+                    <property name="text">
+                     <string>Width</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="0" column="1">
+                   <widget class="QLineEdit" name="boxWidthEdit"/>
+                  </item>
+                  <item row="0" column="3">
+                   <widget class="QSpinBox" name="boxHorResSpinBox">
+                    <property name="minimum">
+                     <number>1</number>
+                    </property>
+                    <property name="maximum">
+                     <number>128</number>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="2" column="3">
+                   <widget class="QSpinBox" name="boxDepthResSpinBox">
+                    <property name="minimum">
+                     <number>1</number>
+                    </property>
+                    <property name="maximum">
+                     <number>128</number>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="1" column="2">
+                   <widget class="QLabel" name="boxVertResLabel">
+                    <property name="text">
+                     <string>Res.</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="2" column="1">
+                   <widget class="QLineEdit" name="boxDepthEdit"/>
+                  </item>
+                  <item row="2" column="0">
+                   <widget class="QLabel" name="boxDepthLabel">
+                    <property name="text">
+                     <string>Depth</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="1" column="1">
+                   <widget class="QLineEdit" name="boxHeightEdit"/>
+                  </item>
+                 </layout>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Vertical</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>20</width>
+                    <height>40</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
+              </item>
+             </layout>
+            </widget>
+            <widget class="QWidget" name="modelPage">
+             <layout class="QHBoxLayout">
+              <property name="spacing">
+               <number>6</number>
+              </property>
+              <property name="margin">
+               <number>4</number>
+              </property>
+              <item>
+               <layout class="QVBoxLayout">
+                <property name="spacing">
+                 <number>6</number>
+                </property>
+                <property name="margin">
+                 <number>0</number>
+                </property>
+                <item>
+                 <layout class="QHBoxLayout">
+                  <property name="spacing">
+                   <number>6</number>
+                  </property>
+                  <property name="margin">
+                   <number>0</number>
+                  </property>
+                  <item>
+                   <widget class="QLabel" name="modelFileNameLabel">
+                    <property name="text">
+                     <string>File</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item>
+                   <widget class="QLineEdit" name="modelFileNameEdit"/>
+                  </item>
+                  <item>
+                   <widget class="QPushButton" name="modelBrowseButton">
+                    <property name="sizePolicy">
+                     <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+                      <horstretch>0</horstretch>
+                      <verstretch>0</verstretch>
+                     </sizepolicy>
+                    </property>
+                    <property name="maximumSize">
+                     <size>
+                      <width>23</width>
+                      <height>16777215</height>
+                     </size>
+                    </property>
+                    <property name="text">
+                     <string>...</string>
+                    </property>
+                   </widget>
+                  </item>
+                 </layout>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Vertical</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>20</width>
+                    <height>40</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
+              </item>
+             </layout>
+            </widget>
+           </widget>
+          </item>
+         </layout>
+        </item>
+       </layout>
+      </widget>
+     </item>
+     <item>
+      <layout class="QHBoxLayout">
+       <property name="spacing">
+        <number>6</number>
+       </property>
+       <property name="margin">
+        <number>0</number>
+       </property>
+       <item>
+        <widget class="QCheckBox" name="frameCheckBox">
+         <property name="text">
+          <string>Wireframe</string>
+         </property>
+        </widget>
+       </item>
+       <item>
+        <widget class="QLabel" name="frameLineWidthLabel">
+         <property name="text">
+          <string>Width</string>
+         </property>
+        </widget>
+       </item>
+       <item>
+        <widget class="QSpinBox" name="frameLineWidthSpinBox">
+         <property name="minimum">
+          <number>1</number>
+         </property>
+         <property name="maximum">
+          <number>4</number>
+         </property>
+        </widget>
+       </item>
+      </layout>
+     </item>
+    </layout>
    </item>
   </layout>
  </widget>
- <pixmapfunction></pixmapfunction>
  <customwidgets>
   <customwidget>
@@ -605,6 +600,4 @@
    <extends>QWidget</extends>
    <header>gui/QTransformMatrixWidget.h</header>
-   <container>0</container>
-   <pixmap></pixmap>
   </customwidget>
  </customwidgets>