Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/projdesigner.vcproj
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/projdesigner.vcproj	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/projdesigner.vcproj	(revision 43)
@@ -76,8 +76,8 @@
 				IgnoreImportLibrary="true"
 				AdditionalOptions="&quot;/MANIFESTDEPENDENCY:type=&apos;win32&apos; name=&apos;Microsoft.Windows.Common-Controls&apos; version=&apos;6.0.0.0&apos; publicKeyToken=&apos;6595b64144ccf1df&apos; language=&apos;*&apos; processorArchitecture=&apos;*&apos;&quot; &quot;/MANIFESTDEPENDENCY:type=&apos;win32&apos; name=&apos;Microsoft.Windows.Common-Controls&apos; version=&apos;6.0.0.0&apos; publicKeyToken=&apos;6595b64144ccf1df&apos; language=&apos;*&apos; processorArchitecture=&apos;*&apos;&quot;"
-				AdditionalDependencies="opengl32.lib glu32.lib gdi32.lib user32.lib $(QTDIR)\lib\qtmaind.lib glut32.lib projdesigner_default.lib $(QTDIR)\lib\QtXmld4.lib $(QTDIR)\lib\QtOpenGLd4.lib $(QTDIR)\lib\QtGuid4.lib $(QTDIR)\lib\QtNetworkd4.lib $(QTDIR)\lib\QtCored4.lib"
-				OutputFile="..\bin\projdesignerd.exe"
+				AdditionalDependencies="opengl32.lib glu32.lib gdi32.lib user32.lib qtmaind.lib glut32D.lib projdesigner_defaultd.lib QtXmld4.lib QtOpenGLd4.lib QtGuid4.lib QtNetworkd4.lib QtCored4.lib"
+				OutputFile="..\bin\x86\projdesignerd.exe"
 				SuppressStartupBanner="true"
-				AdditionalLibraryDirectories="&quot;$(QTDIR)\lib&quot;;../projdesignerplugins/defaultplugin;D:\OpenSceneGraph\3rdParty_VC9sp1_x86_x64\lib\x86"
+				AdditionalLibraryDirectories="&quot;$(QTDIR)\lib&quot;;../projdesignerplugins/defaultplugin/x86;D:\OpenSceneGraph\3rdParty_VC9sp1_x86_x64\lib\x86"
 				GenerateDebugInformation="true"
 				ProgramDatabaseFile=""
@@ -169,9 +169,9 @@
 				IgnoreImportLibrary="true"
 				AdditionalOptions="&quot;/MANIFESTDEPENDENCY:type=&apos;win32&apos; name=&apos;Microsoft.Windows.Common-Controls&apos; version=&apos;6.0.0.0&apos; publicKeyToken=&apos;6595b64144ccf1df&apos; language=&apos;*&apos; processorArchitecture=&apos;*&apos;&quot; &quot;/MANIFESTDEPENDENCY:type=&apos;win32&apos; name=&apos;Microsoft.Windows.Common-Controls&apos; version=&apos;6.0.0.0&apos; publicKeyToken=&apos;6595b64144ccf1df&apos; language=&apos;*&apos; processorArchitecture=&apos;*&apos;&quot;"
-				AdditionalDependencies="opengl32.lib glu32.lib gdi32.lib user32.lib $(QTDIR)\lib\qtmain.lib glut32.lib projdesigner_default.lib $(QTDIR)\lib\QtXml4.lib $(QTDIR)\lib\QtOpenGL4.lib $(QTDIR)\lib\QtGui4.lib $(QTDIR)\lib\QtNetwork4.lib $(QTDIR)\lib\QtCore4.lib"
-				OutputFile="..\bin\projdesigner.exe"
+				AdditionalDependencies="opengl32.lib glu32.lib gdi32.lib user32.lib qtmain.lib glut32.lib projdesigner_default.lib QtXml4.lib QtOpenGL4.lib QtGui4.lib QtNetwork4.lib QtCore4.lib"
+				OutputFile="..\bin\x86\projdesigner.exe"
 				LinkIncremental="1"
 				SuppressStartupBanner="true"
-				AdditionalLibraryDirectories="&quot;$(QTDIR)\lib&quot;;../projdesignerplugins/defaultplugin;D:\OpenSceneGraph\3rdParty_VC9sp1_x86_x64\lib\x86"
+				AdditionalLibraryDirectories="&quot;$(QTDIR)\lib&quot;;../projdesignerplugins/defaultplugin\x86;D:\OpenSceneGraph\3rdParty_VC9sp1_x86_x64\lib\x86"
 				GenerateDebugInformation="false"
 				ProgramDatabaseFile=""
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qchannelmanagerwidget.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qchannelmanagerwidget.h	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qchannelmanagerwidget.h	(revision 43)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qchannelmanagerwidget.ui'
 **
-** Created: Wed 19. May 08:35:08 2010
+** Created: Wed 19. May 08:46:49 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qchannelwidget.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qchannelwidget.h	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qchannelwidget.h	(revision 43)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qchannelwidget.ui'
 **
-** Created: Wed 19. May 08:35:08 2010
+** Created: Wed 19. May 08:46:49 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qclientwindow.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qclientwindow.h	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qclientwindow.h	(revision 43)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qclientwindow.ui'
 **
-** Created: Wed 19. May 08:35:27 2010
+** Created: Wed 19. May 08:46:56 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qdesignviewwindow.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qdesignviewwindow.h	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qdesignviewwindow.h	(revision 43)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qdesignviewwindow.ui'
 **
-** Created: Wed 19. May 08:35:26 2010
+** Created: Wed 19. May 08:46:53 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qpanelwidget.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qpanelwidget.h	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qpanelwidget.h	(revision 43)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qpanelwidget.ui'
 **
-** Created: Wed 19. May 08:35:08 2010
+** Created: Wed 19. May 08:46:49 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qpreferencedialog.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qpreferencedialog.h	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qpreferencedialog.h	(revision 43)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qpreferencedialog.ui'
 **
-** Created: Wed 19. May 08:35:05 2010
+** Created: Wed 19. May 08:46:47 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qprojectionmatrixwidget.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qprojectionmatrixwidget.h	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qprojectionmatrixwidget.h	(revision 43)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qprojectionmatrixwidget.ui'
 **
-** Created: Wed 19. May 08:35:03 2010
+** Created: Wed 19. May 08:46:45 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscenewidget.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscenewidget.h	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscenewidget.h	(revision 43)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qscenewidget.ui'
 **
-** Created: Wed 19. May 08:34:59 2010
+** Created: Wed 19. May 08:46:41 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscreenwidget.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscreenwidget.h	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qscreenwidget.h	(revision 43)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qscreenwidget.ui'
 **
-** Created: Wed 19. May 08:34:56 2010
+** Created: Wed 19. May 08:46:39 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qsetupdialog.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qsetupdialog.h	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qsetupdialog.h	(revision 43)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qsetupdialog.ui'
 **
-** Created: Wed 19. May 08:35:26 2010
+** Created: Wed 19. May 08:47:06 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qtransformmatrixwidget.h
===================================================================
--- projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qtransformmatrixwidget.h	(revision 42)
+++ projectionDesigner/tag/ProjectionDesigner_1.1.5/projdesigner/ui_qtransformmatrixwidget.h	(revision 43)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qtransformmatrixwidget.ui'
 **
-** Created: Wed 19. May 08:34:54 2010
+** Created: Wed 19. May 08:46:37 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **